unit uConexaoR;

interface

uses
  RCom, Forms, SysUtils;

type
  TConexaoR = class
  private
    FRCon : TRConnector;
    function GetRCon:TRConnector;
  public
    destructor destroy;
  published
    property RCon : TRConnector read GetRCon;
  end;

  function DefPathR(pDiretorio:String):String;

//  function DefPathFile(pArquivo:String):String;


var
  PathExecutavelR: String;
  ConexaoR : TConexaoR;

implementation


function DefPathR(pDiretorio:String):String;
var
  vIdx : Integer;
begin
  Result := '';

  if Copy(pDiretorio,Length(pDiretorio),1)<>'\' then
    pDiretorio := pDiretorio + '\';

  for vIdx := 1 to Length(pDiretorio) do
  begin
    if Copy(pDiretorio,vIdx,1)='\' then
      Result := Result + '\';
    Result := Result + Copy(pDiretorio,vIdx,1);
  end;
end;

{
function DefPathFile(pArquivo:String):String;
var
  vIdx : Integer;
begin
  Result := '';
  for vIdx := 1 to Length(pArquivo) do
  begin
    if Copy(pArquivo,vIdx,1)='\' then
      Result := Result + '\';
    Result := Result + Copy(pArquivo,vIdx,1);
  end;
end;
|}

function TConexaoR.GetRCon:TRConnector;
begin
  if FRCon = Nil then
  begin
    FRCon := TRConnector.Create(Nil);
    FRCon.Name := 'RCon_ESTATR';
    FRCon.ENR('library(MASS)'); // write.matrix
    FRCon.ENR('sink("output.txt")'); // para depurao

    // Carrega funes uteis
    FRCon.ENR('source("' + PathExecutavelR + 'ReadTest.r")' );
  end;
  Result := FRCon;
end;


destructor TConexaoR.destroy;
begin
  Rcon.Free;
end;

initialization
PathExecutavelR  := DefPathR(ExtractFilePath(Application.ExeName));
ConexaoR := TConexaoR.Create;

finalization
ConexaoR.Free;

end.
