unit uExArquivos;

interface

uses
  SysUtils, uGeral;

type
  TAtributos = (tat_Arquivo);

  TArquivo = class
    Nome : String;
  end;

  TPsqArquivos = class(TComposicao)
    procedure Pesquisar(pMascara:String; pAtributos:TAtributos);
    function GetArquivo(pIdx:integer; var pArquivo:TArquivo):Boolean;
  end;


implementation


procedure TPsqArquivos.Pesquisar;
var
  vSearchRec : TSearchRec;
  vArquivo   : TArquivo;
begin
  Clear;

  fillChar(vSearchRec, SizeOf(vSearchRec), 0);
  if FindFirst(pMascara, 0, vSearchRec)=0 then
  begin
    repeat
      vArquivo := TArquivo.Create;
      vArquivo.Nome := vSearchRec.Name;
      Add(vArquivo);
    until FindNext(vSearchRec) <> 0;
  end;
end;


function TPsqArquivos.GetArquivo(pIdx:integer; var pArquivo:TArquivo):Boolean;
begin
  GetItem(pIdx, Result, TObject(pArquivo));
end;


end.

