unit uFrmSelecaoMetodo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uFrmPadrao, ComCtrls, StdCtrls, uMetodos, ExtCtrls, uGeral, uProcessaTela;

type


  TFrmSelecaoMetodo = class(TFrmPadrao)
    BtnConfirmar: TButton;
    panelParametros: TPanel;
    BtnEstimar: TButton;
    procedure FormCreate(Sender: TObject);
    procedure BtnConfirmarClick(Sender: TObject);
    procedure BtnEstimarClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Metodo : String;
    MetodoSelecionado : TMetodo;
    Confirmou : Boolean;
    TipoPrograma : TTipoPrograma;
  end;

var
  FrmSelecaoMetodo: TFrmSelecaoMetodo;

implementation


{$R *.dfm}

procedure TFrmSelecaoMetodo.FormCreate(Sender: TObject);
var
  vMetodo : TMetodo;
  vIdx    : Integer;
  vDados : TDadosMetodo;
  vForm    : TForm;

begin
  inherited;

  PageControl1.Anchors := [akTop,akLeft,akRight,akBottom];

  Confirmou := False;
end;


procedure TFrmSelecaoMetodo.BtnConfirmarClick(Sender: TObject);
var
  vIdx : Integer;
  vMetodo : TMetodo;
  vDados : TDadosMetodo;
begin
  inherited;

  vMetodo := MetodoSelecionado;

  vDados := vMetodo.BuscaDadosMetodo(TipoPrograma);
  if (vDados.Modulo <> Nil) then
    vDados.Modulo.AtualizaValores;

  Close;
end;


procedure TFrmSelecaoMetodo.BtnEstimarClick(Sender: TObject);
begin
  inherited;

  Confirmou := True;
  Close;
end;

procedure TFrmSelecaoMetodo.FormShow(Sender: TObject);
var
  vDados : TDadosMetodo;
  vForm    : TComponent;
begin
  vDados := MetodoSelecionado.BuscaDadosMetodo(TipoPrograma);
  vDados.CarregaTela;
  if vDados.Modulo <> Nil then
  begin
    vForm := vDados.Modulo.CriaInterface;
    // Anexar_Form(panelParametros, vForm, True);
    TScrollbox(vForm).Parent := panelParametros;
    TScrollbox(vForm).Align := alClient;
    // TScrollBox(vForm.FindComponent('ScrollComponentes')).ParentBackground := True;
  end;
end;

end.
