unit uFuncao;

interface

uses
  uGeral;

type
  TTipoFuncao = (tf_Individuo, tf_Itens, tf_Equalizacao, tf_Nenhum);

  TFuncao = class
    Tipo : TTipoFuncao;
    Nome : String;
    Programa : String;
    procedure Executar;
  end;


  TFuncoes = class(TComposicao)
  public
    function GetFuncao(pIdx:Integer; var pFuncao:TFuncao):Boolean;
    function GetFuncaoByName(pNomeFunc:String):TFuncao;
    procedure Add(pFuncao:TFuncao);
  end;


implementation


procedure TFuncao.Executar;
begin
end;


function TFuncoes.GetFuncao(pIdx:Integer; var pFuncao:TFuncao):Boolean;
begin
  GetItem(pIdx, Result, TObject(pFuncao));  
end;


function TFuncoes.GetFuncaoByName(pNomeFunc:String):TFuncao;
var
  vIdx : Integer;
  vFuncao : TFuncao;
begin
  Result := Nil;
  vIdx := 0;
  while (Result = Nil) and GetFuncao(vIdx,vFuncao) do
  begin
    if vFuncao.Nome = pNomeFunc then
      Result := vFuncao
    else
      Inc(vIdx);
  end;
end;


procedure TFuncoes.Add(pFuncao:TFuncao);
begin
  inherited Add(pFuncao);
end;


end.
