ReadTest <- function(objName, fileName)
{
   # l arquivo:
   dataset <- read.table(fileName, header=FALSE, fill=TRUE, sep=",", as.is=TRUE)

   varName <- paste(objName, "", sep="")
   assign(varName, dataset, env=.GlobalEnv)

   varName <- paste(objName, "original", sep=".")
   assign(varName, dataset, env=.GlobalEnv)

   # a primeira coluna tem o nome do indivduo e depois tem as respostas #
   varName <- paste(objName, "working", sep=".")
   assign(varName, dataset[5:dim(dataset)[1],], env=.GlobalEnv)
   #assign(varName, dataset[2:dim(dataset)[1],], env=.GlobalEnv)

   varName <- paste(objName, "info", sep=".")
   assign(varName, dataset[1:3,], env=.GlobalEnv)

   temp <- dataset[1:3,]

   varName <- paste(objName, "items.rightanswers", sep=".")
   assign(varName, temp[1,2:ncol(temp)], env=.GlobalEnv)
 
   varName <- paste(objName, "items.numoptions", sep=".")
   assign(varName, as.numeric( unlist(temp[2,1:(ncol(temp)-1)]) ) , env=.GlobalEnv)

   varName <- paste(objName, "items.deal", sep=".")
   assign(varName, temp[3,1:(ncol(temp)-1)], env=.GlobalEnv )

   varName <- paste(objName, "items.names", sep=".")
   assign(varName, dataset[4,2:ncol(dataset)], env=.GlobalEnv)

   varName <- paste(objName, "items.count", sep=".")
   assign(varName, ncol(temp)-1, env=.GlobalEnv)

   varName <- paste(objName, "resp", sep=".")
   assign(varName, dataset[5:nrow(dataset),1], env=.GlobalEnv)

   temp = dataset[5:nrow(dataset),1]

   varName <- paste(objName, "count", sep=".")
   assign(varName, length(temp), env=.GlobalEnv )

   varName <- paste(objName, "answers", sep=".")
   assign(varName, dataset[5:nrow(dataset),2:ncol(dataset)], env=.GlobalEnv )
}
