unit uEqualizacao;

interface

uses
  uRotinas, uDataset, uMetodos, uConexaoR, uDefEstatR, uDefTRI;

type
  TEqualizacao = class(TComposicao)
    procedure Equalizar(pMetodo:TMetodo);
    procedure Add(pDataset:TTriDataset);
  end;

implementation

{ TEqualizacao }

procedure TEqualizacao.Add(pDataset: TTriDataset);
begin
  inherited Add(pDataSet);
end;

procedure TEqualizacao.Equalizar(pMetodo:TMetodo);
var
  vComando : String;
  vDataSet : TTriDataset;
begin
  // Define_Estruturas_Globais_R;

  TRIDataSets.GetDataset(0, vDataSet);
  vComando := 'equating.dataset1 <- ' + vDataset.Nome;
  ConexaoR.RCon.ENR(vComando);

  TRIDataSets.GetDataset(1, vDataSet);
  vComando := 'equating.dataset2 <- ' + vDataset.Nome;
  ConexaoR.RCon.ENR(vComando);

  ConexaoR.RCon.Enr('save.image("' + PathExecutavelR + 'before.Rdata")');

  ConexaoR.RCon.Source(DefFilePathR(pMetodo.DirTemp+ pMetodo.Equalizacao.Programa));

  ConexaoR.RCon.Enr('save.image("' + PathExecutavelR + 'after.Rdata")');


  (*
  // Passa para o programa em R "items.estimatives" e "item.par"
  vComando := 'items.estimatives  <- ' + Nome+'.items.estimatives';
  ConexaoR.RCon.ENR(vComando);

  vComando := 'abilities <- ' + Nome + '.abilities';
  ConexaoR.RCon.ENR(vComando);

  if pFuncao.Tipo = tf_Itens then
  begin
    vComando := 'item.par <- items.estimatives[' + IntToStr(pNro) + ',]';
    ConexaoR.RCon.ENR(vComando);
  end
  else
  begin
    // Passa para o programa em "R"
    vComando := 'ability <- ' + Nome+'.abilities[' + IntToStr(pNro) + ']';
    ConexaoR.RCon.ENR(vComando);
  end;

  ConexaoR.RCon.Enr('save.image("' + PathExecutavelR + 'before.Rdata")');

  ConexaoR.RCon.Source(DefFilePathR(Metodo.DirTemp+pFuncao.Programa));

  ConexaoR.RCon.Enr('save.image("' + PathExecutavelR + 'after.Rdata")');
  *)
end;

end.
