unit uFrmDica;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uFrmPadrao, ComCtrls, JvExControls, JvComponent, JvMarkupLabel,
  JvFormPlacement, ExtCtrls, StdCtrls, uAcessorios, OleCtrls, SHDocVw;

type
  TFrmDica = class(TFrmPadrao)
    JvFormStorage1: TJvFormStorage;
    Dica: TWebBrowser;
    Panel1: TPanel;
    btnExecutar: TButton;
    tsDetalhes: TTabSheet;
    mmo1: TMemo;
    procedure FormShow(Sender: TObject);
    procedure btnExecutarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Dicas     : String;
    vLinkAtual : TLink;
  end;

var
  FrmDica: TFrmDica;

implementation

uses uDefEstatR, uDllCall;

{$R *.dfm}

procedure TFrmDica.FormShow(Sender: TObject);


  function Gerar_Arquivo(pDocumentacao:String):String;
  var
    vArq : TstringList;
    vNome_Arq : String;
  begin
    vArq := TStringList.Create;
    vArq.Text := '<body><p><font face="Verdana" style="font-size: 8pt">'+
                 pDocumentacao +
                 '</font></p><body>';
    vNome_Arq := vlinkAtual.TempDir+'doc.$$$';
    vArq.SaveToFile(vNome_Arq);
    vArq.Free;

    Result := vNome_Arq;
  end;


  function Transforma_HTML(pArquivo:String):String;
  var
    vidx : integer;
    vArq : TStringList;
  begin
    Result := '';

    vArq := TStringList.Create;
    vArq.LoadFromFile(vLinkAtual.TempDir + pArquivo);
    if vArq.Count > 0 then
    begin
      Result := vLinkAtual.TempDir + 'doc.$$$';
      vArq.Strings[0] := '<body><p><font face="Verdana" style="font-size: 8pt">' +
                       vArq.Strings[0];
      for vIdx := 0 to vArq.Count-1 do
      begin
        vARq.Strings[vIdx] := vArq.Strings[vIdx] + '<br>';
      end;
      vArq.Add('</font></p><body>');

      vArq.SaveToFile(Result);

    end;
    vArq.Free;
  end;

var
  vArquivo : String;
  vNome_Arq : String;
  Flags : OLEVariant;

begin
  inherited;
  TabSheet1.Caption := vLinkAtual.Nome;

  if vLinkAtual.Tipo=tpg_dll then
  begin
    vNome_Arq := Gerar_Arquivo(vLinkAtual.HintFile);
  end
  else
  begin
    if (UpperCase(ExtractFileExt(vLinkAtual.HintFile))='.HTM')
    or (UpperCase(ExtractFileExt(vLinkAtual.HintFile))='.HTML') then
      vNome_Arq := vLinkAtual.TempDir +  vLinkAtual.HintFile
    else
      vNome_Arq := Transforma_HTML(vLinkAtual.HintFile);
  end;

  mmo1.Text := '';
  mmo1.Lines.Add('Plug-in: ' + vLinkAtual.PlugInName);

  if vNome_Arq <> '' then
    Dica.Navigate(WideString(vNome_Arq), Flags, Flags, Flags, Flags);
end;

procedure TFrmDica.btnExecutarClick(Sender: TObject);
begin
  inherited;

  vLinkAtual.Executa;
end;


initialization

vDllPlug := TDllHandler.Create;


end.
