unit uFrmEqualizacao;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uFrmPadrao, ComCtrls, ExtCtrls, StdCtrls, CheckLst, uDataset;

type
  TFrmEqualizacao = class(TFrmPadrao)
    ckHabilidades: TCheckBox;
    ckParametrosItens: TCheckBox;
    Label1: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Label2: TLabel;
    lstDatasets: TCheckListBox;
    BtnCancelar: TButton;
    BtnProcessar: TButton;
    procedure FormShow(Sender: TObject);
    procedure BtnCancelarClick(Sender: TObject);
    procedure BtnProcessarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Confirmou : Boolean;
    vIdxDataSet : Integer;
    function GetSelectedDataSet(var pDataSet:TTriDataSet):Boolean;
  end;

var
  FrmEqualizacao: TFrmEqualizacao;

implementation

{$R *.dfm}

procedure TFrmEqualizacao.FormShow(Sender: TObject);
var
  vIdx : Integer;
  vDataSet : TTRiDataSet;
begin
  lstDatasets.Items.Clear;

  vIdx := 0;
  while TRIDataSets.GetDataSet(vIdx,vDataSet) do
  begin
    lstDatasets.Items.Add(vDataset.Nome);
    Inc(vIdx);
  end;
end;

procedure TFrmEqualizacao.BtnCancelarClick(Sender: TObject);
begin
  inherited;
  Close;
end;

procedure TFrmEqualizacao.BtnProcessarClick(Sender: TObject);
begin
  inherited;
  Confirmou := True;
  Close;
end;

procedure TFrmEqualizacao.FormCreate(Sender: TObject);
begin
  inherited;
  Confirmou := False;
  vIdxDataSet := 0
end;

function TFrmEqualizacao.GetSelectedDataSet(var pDataSet: TTriDataSet): Boolean;
begin
  Result := False;

  while not Result and ((vIdxDataSet < lstDatasets.Items.Count)) do
  begin
    if lstDatasets.Checked[vIdxDataset] then
    begin
      pDataset := TriDatasets.GetDataSetByName(lstDatasets.Items[vIdxDataset]);
      Result := True;
    end;
    // Ainda assim incrementa...
    Inc(vIdxDataSet)
  end;
end;

end.
