unit uFrmSelFuncao;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, uFuncao;

type

  TAoSelecionarFuncao = procedure(pFuncao:TFuncao) of object; 

  TFrmSelFuncao = class(TForm)
    lbSelFuncao: TListBox;
    BtnExecutar: TButton;
    procedure FormShow(Sender: TObject);
    procedure BtnExecutarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Funcoes : TFuncoes;
    AoSelecionarFuncao : TAoSelecionarFuncao;
    procedure Carregar;

  end;

var
  FrmSelFuncao: TFrmSelFuncao;

implementation

{$R *.dfm}


procedure TFrmSelFuncao.Carregar;
var
  vIdx : Integer;
  vFuncao : TFuncao;
begin
  lbSelFuncao.Items.Clear;

  if Funcoes = Nil then
    raise Exception.Create('No definido conjunto de funes');

  vIdx := 0;
  while Funcoes.GetFuncao(vIdx, vFuncao) do
  begin
    lbSelFuncao.Items.Add(vFuncao.Nome);

    Inc(vIdx);
  end;
end;


procedure TFrmSelFuncao.FormShow(Sender: TObject);
begin
  Carregar;
end;

procedure TFrmSelFuncao.BtnExecutarClick(Sender: TObject);
var
  vFuncao : TFuncao;
begin
  if (Assigned(AoSelecionarFuncao)) and (lbSelFuncao.ItemIndex <> -1) then
  begin
    vFuncao := Funcoes.GetFuncaoByName(lbSelFuncao.Items[lbSelFuncao.ItemIndex]);
    AoSelecionarFuncao(vFuncao);
  end;
end;

end.
